## ros-melodic-gundam-rx78-control 0.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(gundam_rx78_control)

find_package(catkin REQUIRED COMPONENTS controller_interface joint_trajectory_controller pluginlib)

###################################
## catkin specific configuration ##
###################################
catkin_package(
  CATKIN_DEPENDS controller_interface joint_trajectory_controller pluginlib
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  )

###########
## Build ##
###########
include_directories(include ${catkin_INCLUDE_DIRS})

add_library(${PROJECT_NAME}
  src/joint_trajectory_controller.cpp
)

target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

#############
## Install ##
#############
install(DIRECTORY config launch sample
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
   USE_SOURCE_PERMISSIONS
   )

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  )


install(FILES joint_trajectory_controller.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

#############
## Testing ##
#############
if(CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS roslaunch roslint)
  file(GLOB LAUNCH_FILES launch/*.launch)
  foreach(LAUNCH_FILE ${LAUNCH_FILES})
    roslaunch_add_file_check(${LAUNCH_FILE})
  endforeach()

  set(ROSLINT_PYTHON_OPTS --max-line-length=180 --ignore=E221,E222,E241) # skip multiple spaces before/after operator
  roslint_python()
  roslint_add_test()
endif()

=== debian/changelog ===
ros-melodic-gundam-rx78-control (0.0.3-1stretch) stretch; urgency=high

  * fix walk demo (#8 <https://github.com/gundam-global-challenge/gundam_robot/issues/8>)
  * Contributors: Naoki Hiraoka

 -- Kei Okada <kei.okada@gmail.com>  Mon, 27 Jan 2020 15:00:00 -0000

ros-melodic-gundam-rx78-control (0.0.2-1stretch) stretch; urgency=high

  * Add more examples by @Naoki-Hiraoka (#6 <https://github.com/gundam-global-challenge/gundam_robot/issues/6>)
    
      * Merge https://github.com/gundam-global-challenge/gundam_robot/pull/4  with test code
      * fix some parameters
      * add python sample (walk motion)
      * Simplify URDF (simplify, scale and mergenode collada)
        - calculate mass property from convex_hull
        - fix check_position, now base_link is the center of foot
    
  * add test code and meta package (#5 <https://github.com/gundam-global-challenge/gundam_robot/issues/5>)
    
      * roslint only used in CATKIN_ENABLE_TESTING
      * add joint_trajectory_controller to depends and find_package
    
  * Contributors: Kei Okada, Naoki Hiraoka

 -- Kei Okada <kei.okada@gmail.com>  Sun, 19 Jan 2020 15:00:00 -0000

ros-melodic-gundam-rx78-control (0.0.1-1stretch) stretch; urgency=high

  * Add controllers for gundom robot (#1 <https://github.com/gundam-global-challenge/gundam_robot/issues/1>)
    
      * call controller_manager/spawner with --shutdown-timeout 0.1, this is deprecated on melodic
      * fix Typo Loaiding -> Loading by @Naoki-Hiraoka
      * respect @Naoki-Hiraoka 's dynamics parameters  https://github.com/Naoki-Hiraoka/gundam_robot/tree/gundam-walk
      * pip8ify python files
      * add roslint check
      * update GGC_TestModel_rx78_20170112.urdf and gundam_rx78_control.yaml with latest ggc_dae_to_urdf.py
      * add joint_trajectory_controller from https://github.com/ros-controls/ros_controllers/pull/411
      * update sample program from joint_position_client_example.py to joint_trajectory_client_example.py
      * update GGC_TestModel_rx78_20170112.urdf and gundam_rx78_control.yaml with latest ggc_dae_to_urdf.py
      * start fullbod_controller istead of each joint position controller
      * update GGC_TestModel_rx78_20170112.urdf and gundam_rx78_control.yaml with latest ggc_dae_to_urdf.py
      * joint_position_client_example.py: update reset pose
      * add mesh and urdf generated from GGC_TestModel_rx78_20170112
      * commit 2019/03/06 pinned & position controller version
    
  * Contributors: Kei Okada, Naoki Hiraoka

 -- Kei Okada <kei.okada@gmail.com>  Sun, 30 Jun 2019 15:00:00 -0000

=== debian/control ===
Source: ros-melodic-gundam-rx78-control
Section: misc
Priority: extra
Maintainer: Kei Okada <kei.okada@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-controller-interface, ros-melodic-joint-trajectory-controller, ros-melodic-pluginlib, ros-melodic-roslaunch, ros-melodic-roslint
Homepage: http://wiki.ros.org/gundam_rx78_control
Standards-Version: 3.9.2

Package: ros-melodic-gundam-rx78-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-controller-interface, ros-melodic-controller-manager, ros-melodic-joint-trajectory-controller, ros-melodic-pluginlib, ros-melodic-robot-state-publisher, ros-melodic-ros-control, ros-melodic-ros-controllers
Description: gundam_rx78_control contains launch and configuration scripts for the ros controller of the GUNDAM RX-78 robot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-gundam-rx78-control//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
